Name:          solaar
Version:       1.1.10
Release:       2mamba
Summary:       Linux device manager for Logitech devices 
Group:         System/Kernel and Hardware
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://pwr-solaar.github.io/Solaar/
Source:        https://github.com/pwr-Solaar/Solaar.git/%{version}/Solaar-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
BuildRequires: python3.11dist(dbus-python)
BuildRequires: python3.11dist(evdev)
BuildRequires: python3.11dist(psutil)
BuildRequires: python3.11dist(python-xlib)
BuildRequires: python3.11dist(pyudev)
BuildRequires: python3.11dist(pyyaml)
## AUTOBUILDREQ-END
BuildRequires: python3dist(pygobject)

%description
Linux device manager for Logitech devices.

%prep
%setup -q -n Solaar-%{version}

%build
CFLAGS="%{optflags}" %{__python3} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python3} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{python3_inc} \
   --install-lib=%{python3_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

install -D -m0644 rules.d/42-logitech-unify-permissions.rules %{buildroot}%{_udevrulesdir}/42-logitech-unify-permissions.rules
%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.filelist
%defattr(-,root,root)
%dir %{python3_sitearch}/solaar-%{version}-py*.egg-info
%{python3_sitearch}/solaar-%{version}-py*.egg-info/*
%{_udevrulesdir}/42-logitech-unify-permissions.rules
%doc COPYING

%changelog
* Fri Jan 26 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.10-2mamba
- rebuilt with python3 == 3.11

* Sun Sep 24 2023 Automatic Build System <autodist@mambasoft.it> 1.1.10-1mamba
- automatic version update by autodist

* Thu Apr 06 2023 Automatic Build System <autodist@mambasoft.it> 1.1.9-1mamba
- automatic version update by autodist

* Sun Dec 18 2022 Automatic Build System <autodist@mambasoft.it> 1.1.8-1mamba
- automatic version update by autodist

* Sat Nov 05 2022 Automatic Build System <autodist@mambasoft.it> 1.1.7-1mamba
- automatic version update by autodist

* Thu Oct 27 2022 Automatic Build System <autodist@mambasoft.it> 1.1.6-1mamba
- automatic version update by autodist

* Fri Sep 16 2022 Automatic Build System <autodist@mambasoft.it> 1.1.5-1mamba
- automatic version update by autodist

* Tue Jul 05 2022 Automatic Build System <autodist@mambasoft.it> 1.1.4-1mamba
- automatic version update by autodist

* Tue Apr 26 2022 Automatic Build System <autodist@mambasoft.it> 1.1.3-1mamba
- automatic version update by autodist

* Sun Apr 03 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.2-2mamba
- rebuilt with python 3.10

* Sun Mar 27 2022 Automatic Build System <autodist@mambasoft.it> 1.1.2-1mamba
- automatic version update by autodist

* Sun Dec 26 2021 Automatic Build System <autodist@mambasoft.it> 1.1.1-1mamba
- automatic version update by autodist

* Sat Nov 27 2021 Automatic Build System <autodist@mambasoft.it> 1.1.0-1mamba
- automatic version update by autodist

* Sat Oct 02 2021 Automatic Build System <autodist@mambasoft.it> 1.0.7-1mamba
- automatic version update by autodist

* Sun May 09 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.6-1mamba
- package created using the webbuild interface
